package net.halbear.Terrain4J.EngineCore.Logic;

public interface  GameLogic {
    void cleanup();
    InitData Initialise(EngineInstance engineInstance);
    void Input(EngineInstance engineInstance, long FrameDiffNanoSeconds);
    void CameraInput(EngineInstance engineInstance, long FrameDiffNanoSeconds);
    void Update(EngineInstance engineInstance, long FrameDiffNanoSeconds);
    void UpdateFastThread(EngineInstance engineInstance, long FrameDiffNanoSeconds);
}
